Subject: Quick question about dts

From: "M. Warner Losh" <[email-masked]>
Date: Tue, 05 Aug 2008 00:56:49 -0600 (MDT)

I have a .dts file that works with 2.6.18 (MV Pro 5.0).  I encode it
directly into the kernel image.  However, when I try to use it with my
2.6.23, 2.6.24 or 2.6.25 kernel trees, it doesn't work at all.  In the
MV Pro 5.0 kernel, I hacked the startup sequence to store a pointer to
this blob in r3 so that it is moved in.  I've done something similar
in -current (for reasons that are too complicated to really explain
well, we can't do this via the normal boot loader mechanisms).  The
dtc complains that the interrupt-controller property is obsolete on
the chosen device.

Does any documentation exist for how dts has evolved?  I'd like to
forward port what I have without examining the .dts files from both
versions and guessing...

Warner